HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get Incentive Applicabilities API

Retrieve applicability keys that may be required to determine solar incentive eligibility in a specific market.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve applicability keys that may be required to determine solar incentive eligibility in a specific market.

Use this endpoint before calling Get Solar Incentives when you need to know which customer, system, or project values to collect. The response returns applicability metadata, such as required values, numeric limits, choices, and display labels.

triangle-exclamation

Solar incentive data requires special permissions and is available only under specific circumstances for Enterprise customers using Switch.

Resource URI

GET /rest/v1/incentives/applicabilities

Query parameters

ParameterTypeDescription
projectTypeStringRestrict the search to the given project type, such as solarPv. Optional.
incentiveTypeStringRestrict the search to an incentive type, such as rebate, billCredit, taxCredit, or discount. Optional.
countryStringRestrict the search to a country. Optional.
lseIdIntegerRestrict the search to a load serving entity. Optional.
customerClassesStringCustomer class, such as RESIDENTIAL, GENERAL, or SPECIAL_USE. Optional.
stateStringRestrict the search to a state. Optional.
zipCodeStringRestrict the search to a ZIP code. Optional.
addressStringStringRestrict the search to an address. Optional.
effectiveOnDateReturn applicabilities for incentives available as of this date. Defaults to today's date. Optional.
isExhaustedBooleanInclude exhausted or non-exhausted incentives. Defaults to false, which restricts results to non-exhausted incentives. Optional.

For the full applicability data model and detailed examples, see Solar Incentives.

Example

GET /rest/v1/incentives/applicabilities?zipCode=95448&projectType=solarPv&customerClasses=RESIDENTIAL

A successful response returns a standard response payload with type set to IncentiveApplicability and results containing applicability keys and metadata for the requested market.

Query Params
string

Restrict the search to the given project type

string

Restrict the search to the given incentive type

string

Restrict the search to the given country

int32

Restrict the search to the given LSE

string

RESIDENTIAL, GENERAL, SPECIAL_USE. The type of customer

string

Restrict the search for applicabilities to the given state

string

Restrict the search to the given ZIP code

string

Restrict the search to the given addressString

date

Get only those incentives that are available as of the specified date. Defaults to today's date, restricting the list of applicabilities to only those on active incentives.

boolean

Get incentives that are exhausted (or not). Defaults to false, restricting the list of applicabilities to only those on non-exhausted incentives.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json